### Function

# Json Path query

#### Declaration [src]

    JsonNode*
    json_path_query (
      const char* expression,
      JsonNode* root,
      GError** error
    )

#### Description [src]

Queries a JSON tree using a JSONPath expression.

This function is a simple wrapper around `json_path_new()`, `json_path_compile()`, and `json_path_match()`. It implicitly creates a `JsonPath` instance, compiles the given expression and matches it against the JSON tree pointed by `root`.

Available since: | 0.14

#### Parameters

`expression` | `const char*`
| A JSONPath expression.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`root` | `JsonNode`
| The root of a JSON tree.
| The data is owned by the caller of the function.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | `JsonNode`
| A newly-created node of type `JSON_NODE_ARRAY` containing the array of matching nodes.
| The caller of the function takes ownership of the data, and is responsible for freeing it.